#include <iostream>
using namespace std;

int main()
{
    int n,k,c;
    cin>>n>>k;
    int a[n];
    for (int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for (int i=1;i<k;i++)
    {
        if (a[n-1]-a[i-1]<a[i-1]-a[n-1])
        {
            a[i-1]=a[i-1]-a[n-1];
            n=n-1;
            c=a[i-1];
        }
        else 
        {
            a[n-1]=a[n-1]-a[i-1];
            c=a[n-1];
        }
    }
    cout<<c;
    return 0;
}